(EA) Get pipeline deployments

Get a list of pipeline deployments matching the specified criteria.

Use pipelineVersionId to filter by pipeline version.
Use eventBrokerId with pipelineVersionId to get deployments for a specific broker.
Use latestPerEventBroker=true to get only the most recent deployment per event broker.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
boolean
Defaults to false

Return only the latest deployment per event broker.

int32
1 to 100
Defaults to 20

The number of deployments to return per page.

int32
≥ 1
Defaults to 1

The page number to retrieve.

pipelineIds
array of strings

Filter by pipeline IDs.

pipelineIds
pipelineVersionIds
array of strings

Filter by pipeline version IDs.

pipelineVersionIds
eventBrokerIds
array of strings

Filter by event broker IDs.

eventBrokerIds
userIds
array of strings

Filter by user IDs.

userIds
string
enum

Filter by deployment action.

Allowed:
statuses
array of strings, unique

Filter by deployment statuses.

string

The sorting criteria for the returned results. You can sort the results by query parameter in ascending or descending order.
Define the sort order using the following string: fieldname:asc/desc where:

  • fieldname — The field name of the query parameter to sort by.
  • asc — Sort the selected field name in ascending order.
  • desc — Sort the selected field name in descending order.

If the direction is not specified, the default is ascending.

You can use multiple query parameters to refine the sorting order.
Valid sort fields: id, action, status, pipelineVersionId, createdTime.

string

Filter results to those whose ID contains the provided string.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*
application/json